Package com.enonic.xp.web.filter

## Class BaseWebFilter

- java.lang.Object
- - com.enonic.xp.web.filter.BaseWebFilter

- All Implemented Interfaces:
    `javax.servlet.Filter`
  Direct Known Subclasses:
    `OncePerRequestFilter`

      @PublicApi
      public abstract class BaseWebFilter
      extends Object
      implements javax.servlet.Filter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseWebFilter()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `protected abstract void` | `doFilter​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, javax.servlet.FilterChain chain)` |
    `void` | `doFilter​(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)` |
    `void` | `init​(javax.servlet.FilterConfig config)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseWebFilter

          public BaseWebFilter()

  - ### Method Detail

    - #### init

          public void init​(javax.servlet.FilterConfig config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

    - #### doFilter

          public final void doFilter​(javax.servlet.ServletRequest req,
                                     javax.servlet.ServletResponse res,
                                     javax.servlet.FilterChain chain)
                              throws IOException,
                                     javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### doFilter

          protected abstract void doFilter​(javax.servlet.http.HttpServletRequest req,
                                           javax.servlet.http.HttpServletResponse res,
                                           javax.servlet.FilterChain chain)
                                    throws Exception

      Throws:
        `Exception`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`